Subject: [PATCH v2 00/12] clk/exynos convert clock IDs to macros

From: [email-masked] (Mike Turquette)
Date: Tue, 01 Oct 2013 18:09:53 -0700

Quoting Kukjin Kim (2013-09-30 03:11:41)
> Mike Turquette wrote:
> > 
> > Quoting Sylwester Nawrocki (2013-09-16 07:33:45)
> > > On 09/12/2013 12:50 PM, Kukjin Kim wrote:
> > > > Well...I'm not sure changing to use macro is better or not at this
> > moment...
> > >
> > > I think it is. ;) It's really less error prone to have symbolic names
> > instead
> > > of the plain numbers. The clock ids are defined in one place and it is
> > more
> > > clear what a clock is by looking at symbolic name. It's especially
> > annoying
> > > to use plain numbers where are are many clock in a single node, like 10
> > or
> > > more. What are you main concerns with this ?
> > 
> > I think having the symbolic names is a win for readability.
> > 
> Hmm...since Mike who is a maintainer for ccf agrees with Sylwester's opinion, so I agree. Actually, I had no strong objection on this but still I'm not sure using macro is really better because sometimes the name doesn't give readability really I think though.
> 
> Mike, can you give me your ack on clk stuff?

Yes, but I was thinking to take this change through the clk tree. The
new branch based on -rc3 will be published tonight.

Let me know if it causes problems for you for me to take it.

Regards,
Mike

> Thanks,
> Kukjin